Subject: bug#70984: 30.0.50; Improved support for entering quotation marks

From: Stephen Berman <[email-masked]>
Date: Thu, 16 May 2024 18:05:33 +0200

On Thu, 16 May 2024 16:35:33 +0200 Robert Pluim <[email-masked]> wrote:

I spotted a couple of typos and stylistic infelicities (IMO):

> From d6de9b14660882924c13bd7237a4905bd6a5578e Mon Sep 17 00:00:00 2001
> From: Robert Pluim <[email-masked]>
> Date: Thu, 16 May 2024 16:25:24 +0200
> Subject: [PATCH] Improve support for entering quotation marks
> To: [email-masked]
>
> * lisp/international/iso-transl.el (iso-transl-char-map): Add entries
> for "low" single and double quotation marks.
> (iso-transl-language-alist): Add convenient support for the official
> German quoting style, which uses "low" double quotes on the left,
> and *left* double quotes on the right.  Add support for single
> guillemets to the French language entrey.
                                    ^^^^^^
                                    entry
[...]
> +*** German language 'C-x 8' key translations for "„" and "“".
> +These characters are used for the official German quoting style, and can
> +now be input with 'C-x 8 9' and 'C-x 8 0' respectively (the latter could
> +already be entered using 'C-x 8 {'.  Using them requires activating
                                    ^^
                                    ').
> +"German" language support using 'iso-transl-set-language'.
   ^^^^^^^^                  ^^^^^
[...]
> +*** French language 'C-x 8' key translations for "‹" and "›".
> +These characters can now be entered using 'C-x 8 < <' and 'C-x 8 > >'
> +respectively, after activating "French" language support using
                                  ^^^^^^^^                  ^^^^^
I would drop the quotes and replace "using" by "via" or "with".